# Get Workflow

Endpoint: GET /api/v3.0/orgs/{orgUuid}/automation/workflows/{workflowUuid}
Version: 3.0
Security: bearer-key

## Path parameters:

  - `orgUuid` (string, required)
    org UUID (from the Mend App: **Administration** General > **Organization UUID**).

  - `workflowUuid` (string, required)
    Workflow UUID

## Response 200 fields (application/json):

  - `supportToken` (string)
    Example: 1171c60d

  - `response` (object)

  - `response.workflow` (object)

  - `response.workflow.uuid` (string)

  - `response.workflow.owner` (string)

  - `response.workflow.name` (string)

  - `response.workflow.description` (string)

  - `response.workflow.enabled` (boolean)

  - `response.workflow.workflowLevel` (string)

  - `response.workflow.workflowType` (string)
    Enum: "SECURITY", "LEGAL", "OPERATIONAL"

  - `response.workflow.scope` (string)

  - `response.workflow.orgAdminCanActivate` (boolean)

  - `response.trigger` (object)

  - `response.trigger.uuid` (string)

  - `response.trigger.eventKey` (string)

  - `response.trigger.engineType` (string)

  - `response.trigger.scopeType` (string)

  - `response.trigger.scopeValue` (string)

  - `response.trigger.orgUuid` (string)

  - `response.trigger.appUuid` (string)

  - `response.trigger.projectUuid` (string)

  - `response.trigger.enabled` (boolean)

  - `response.conditionsGroups` (array)

  - `response.conditionsGroups.uuid` (string)

  - `response.conditionsGroups.leftOperatorName` (string)

  - `response.conditionsGroups.priority` (integer)

  - `response.conditionsGroups.enabled` (boolean)

  - `response.conditionsGroups.conditions` (array)

  - `response.conditionsGroups.conditions.uuid` (string)

  - `response.conditionsGroups.conditions.leftOperatorName` (string)

  - `response.conditionsGroups.conditions.factProperty` (string)

  - `response.conditionsGroups.conditions.factComparatorName` (string)

  - `response.conditionsGroups.conditions.factValue` (array)

  - `response.conditionsGroups.conditions.factValue.label` (string)

  - `response.conditionsGroups.conditions.factValue.value` (object)

  - `response.conditionsGroups.conditions.factValue.additionalValue` (object)

  - `response.conditionsGroups.conditions.factValueString` (string)

  - `response.conditionsGroups.conditions.priority` (integer)

  - `response.conditionsGroups.conditions.enabled` (boolean)

  - `response.conditionsGroups.conditions.group` (string)

  - `response.conditionsGroups.conditions.displayName` (string)

  - `response.scopeConditionGroups` (array)

  - `response.actions` (array)

  - `response.actions.uuid` (string)

  - `response.actions.actionType` (string)

  - `response.actions.flavor` (string)

  - `response.actions.value` (any)

  - `response.actions.value.valueType` (string)

  - `response.actions.value.failPipeline` (boolean)

  - `response.actions.value.risk` (integer)

  - `response.actions.value.slaRelativeDays` (integer)

  - `response.actions.value.updateExisting` (boolean)

  - `response.actions.value.selectedValues` (string)

  - `response.actions.value.selectedLabelValueDTOs` (array)

  - `response.actions.value.context` (string)

  - `response.actions.value.newFindingOnly` (boolean)

  - `response.actions.priority` (integer)

  - `response.actions.disabled` (string)

  - `response.actions.exclusive` (boolean)

  - `response.canEdit` (boolean)

## Response 400 fields (*/*):

  - `supportToken` (string)
    Example: 1171c60d

## Response 403 fields (*/*):

  - `supportToken` (string)
    Example: 1171c60d

